set CR to "
"

set str to "***"
set playlistName to "[$1]"
set resultPath to "[$2]"

set num to 0
set fRef to 0

try
	tell application "iTunes"
		
		set fRef to open for access resultPath with write permission
		set eof of fRef to 0
		
		repeat with aList in user playlists of item 1 of sources
			if name of aList is playlistName then
				
				repeat with aTrack in file tracks of aList
					
					set num to num + 1
					set numStr to num as string
					
					set nameStr to name of aTrack as string
					set locStr to location of aTrack as string
					set posixStr to (POSIX path of locStr) as string
					
					write ("NAME_" & numStr & " = " & nameStr & CR) to fRef
					write ("PATH_" & numStr & " = " & posixStr & CR) to fRef
					
				end repeat
				
				exit repeat
				
			end if
		end repeat
		
		set str to "OK"
		close access fRef
		set fRef to 0
		
	end tell
	
on error
	
	if (fRef is not equal to 0) then
		close access fRef
		set fRef to 0
	end if
	
end try
str